#ifndef ADAPT_ARD_H
#define ADAPT_ARD_H
#include <string>

void loop();
void setup();
long millis();
long micros();
void delay(unsigned long milli);
int abs(int in);
double max(double a, double b);
double min(double a, double b);
void pinMode(int pin, int mode);
int analogRead(int pin);
void digitalWrite(int pin, int level);
void analogWrite(int pin, int dc);

#define constrain(amt,low,high) ((amt)<(low)?(low):((amt)>(high)?(high):(amt)))

class serial_c{
  public:
    void begin(int br);
    void println(std::string txt);
    void print(std::string txt);
    void println(int nb);
    void print(int nb);
    void print(float nb);
    void println(float nb);
    void print(double nb);
    void println(double nb);
};

extern serial_c Serial;


#define A0 20
#define A1 21
#define A2 22
#define A3 23
#define A4 24
#define A5 25
#define A6 26
#define INPUT 1
#define OUTPUT 2
#define LOW 0
#define HIGH 1
#endif